"Developer Tools" screen is empty

Bug #598498 reported by Matthew Paul Thomas on 2010-06-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Low
Matthew McGowan

Bug Description

Binary package hint: software-center

software-center trunk r862

1. Navigate to "Get Software" > "Developer Tools".

What happens: The screen has a header and nothing else.
What should happen: The screen shows a bunch of subsections.

The same problem does not happen with "Get Software" > "Graphics".

Changed in software-center (Ubuntu):
assignee: nobody → Matthew McGowan (mmcg069)

Hi,

I am not seeing this issue. Does this issue occur reliably? Are
there any console messages/python errors displayed when this issue
occurs? Perhaps it has been fixed in my branch, but not merged.

Cheers

On Sat, Jun 26, 2010 at 2:25 AM, Launchpad Bug Tracker
<email address hidden> wrote:
> You have been assigned a bug task for a public bug by Matthew Paul Thomas (mpt):
>
> Binary package hint: software-center
>
> software-center trunk r862
>
> 1. Navigate to "Get Software" > "Developer Tools".
>
> What happens: The screen has a header and nothing else.
> What should happen: The screen shows a bunch of subsections.
>
> The same problem does not happen with "Get Software" > "Graphics".
>
> ** Affects: software-center (Ubuntu)
>     Importance: Undecided
>     Assignee: Matthew McGowan (mmcg069)
>         Status: New
>
> --
> "Developer Tools" screen is empty
> https://bugs.edge.launchpad.net/bugs/598498
> You received this bug notification because you are a bug assignee.
>

--
From the mind of me!

Matthew McGowan (mmcg069) wrote :

On Sat, Jun 26, 2010 at 10:12 AM, Matthew McGowan
<email address hidden> wrote:
> Hi,
>
> I am not seeing this issue.  Does this issue occur reliably?  Are
> there any console messages/python errors displayed when this issue
> occurs?  Perhaps it has been fixed in my branch, but not merged.
>
>
> Cheers
>
>
> On Sat, Jun 26, 2010 at 2:25 AM, Launchpad Bug Tracker
> <email address hidden> wrote:
>> You have been assigned a bug task for a public bug by Matthew Paul Thomas (mpt):
>>
>> Binary package hint: software-center
>>
>> software-center trunk r862
>>
>> 1. Navigate to "Get Software" > "Developer Tools".
>>
>> What happens: The screen has a header and nothing else.
>> What should happen: The screen shows a bunch of subsections.
>>
>> The same problem does not happen with "Get Software" > "Graphics".
>>
>> ** Affects: software-center (Ubuntu)
>>     Importance: Undecided
>>     Assignee: Matthew McGowan (mmcg069)
>>         Status: New
>>
>> --
>> "Developer Tools" screen is empty
>> https://bugs.edge.launchpad.net/bugs/598498
>> You received this bug notification because you are a bug assignee.
>>
>
>
>
> --
> From the mind of me!
>

--
From the mind of me!

Matthew McGowan (mmcg069) wrote :

Hi again, i experienced this bug myself and have fixed it, available
as of r855 ~mmcg069/software-center/catview-conform-w-spec

On Sat, Jun 26, 2010 at 10:18 AM, Matthew McGowan
<email address hidden> wrote:
> On Sat, Jun 26, 2010 at 10:12 AM, Matthew McGowan
> <email address hidden> wrote:
>> Hi,
>>
>> I am not seeing this issue.  Does this issue occur reliably?  Are
>> there any console messages/python errors displayed when this issue
>> occurs?  Perhaps it has been fixed in my branch, but not merged.
>>
>>
>> Cheers
>>
>>
>> On Sat, Jun 26, 2010 at 2:25 AM, Launchpad Bug Tracker
>> <email address hidden> wrote:
>>> You have been assigned a bug task for a public bug by Matthew Paul Thomas (mpt):
>>>
>>> Binary package hint: software-center
>>>
>>> software-center trunk r862
>>>
>>> 1. Navigate to "Get Software" > "Developer Tools".
>>>
>>> What happens: The screen has a header and nothing else.
>>> What should happen: The screen shows a bunch of subsections.
>>>
>>> The same problem does not happen with "Get Software" > "Graphics".
>>>
>>> ** Affects: software-center (Ubuntu)
>>>     Importance: Undecided
>>>     Assignee: Matthew McGowan (mmcg069)
>>>         Status: New
>>>
>>> --
>>> "Developer Tools" screen is empty
>>> https://bugs.edge.launchpad.net/bugs/598498
>>> You received this bug notification because you are a bug assignee.
>>>
>>
>>
>>
>> --
>> From the mind of me!
>>
>
>
>
> --
> From the mind of me!
>

--
From the mind of me!

Gary Lasker (gary-lasker) wrote :

Fix merged with your branch at rev 857, thanks Matthew!

Changed in software-center (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 2.1.4

---------------
software-center (2.1.4) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/availablepane.py:
    - fix error when using the login dialog and
      intermittently while searching (LP: #596443)
  * softwarecenter/app.py,
    softwarecenter/backend/channel.py,
    softwarecenter/view/channelpane.py,
    softwarecenter/view/viewswitcher.py:
    - implement channel views for installed items
  * softwarecenter/view/availablepane.py,
    softwarecenter/view/catview.py,
    softwarecenter/view/catview_gtk.py:
    - implement single-pane department screen
  * softwarecenter/view/catview_gtk.py:
    - use stock go-next icon for the show all button,
      small fix in CarouselPoster's draw method
  * merge lp:~mmcg069/software-center/catview-conform-w-spec:
    many nice improvements to the category view and a fix
    for the dept screen resize bug (LP: #598502), many thanks
    to Matthew McGowan!
  * merge lp:~mmcg069/software-center/catview-conform-w-spec:
    fixes subcategory screen bug (LP: #598498), thanks Matthew
    McGowan!
  * softwarecenter/view/catview_gtk.py:
    - use large icons in single-pane department screen per
      the spec

  [ Michael Vogt ]
  * mergedp:~arky/ubuntu/maverick/software-center/fixes-595500:
    - Fixes inaccessible install/remove buttons (LP: #538404)
    - Fixes inaccessible Screenshot image (LP: #595500)
    many thanks to Rakesh 'arky' Ambati
  * merged lp:~mmcg069/software-center/catview-conform-w-spec
    to make the categories look like the spec
  * add information about "upgraded" packages to the history pane
    (thanks to seb128 for the suggestion)
  * merged lp:~mvo/software-center/new-apps-test1 and
    lp:~mmcg069/software-center/catview-conform-w-spec, thanks
    to Matthew McGowan
  * merged lp:~mvo/software-center/update-from-var-lib-apt-lists
    to support meta-data in deb822 format in /var/lib/apt/lists
  * softwarecenter/view/catview_gtk.py:
    - append "all" to get pathbar when "all" button is clicked in
      a subcategory
  * support detecting a broken apt cache and repairing it
    (LP: #430200)
  * debian/control:
    - drop transitional gnome-app-install package, its no longer
      required for clean upgrades
 -- Michael Vogt <email address hidden> Tue, 29 Jun 2010 11:42:16 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers